[svn-commits] branch group/autoconf_and_menuselect r21637 -
/team/group/autoconf_and_menuse...
svn-commits at lists.digium.com
svn-commits at lists.digium.com
Wed Apr 19 14:02:37 MST 2006
Author: russell
Date: Wed Apr 19 16:02:36 2006
New Revision: 21637
URL: http://svn.digium.com/view/asterisk?rev=21637&view=rev
Log:
- make boothstrap.sh happy on FreeBSD, and hopefully other BSD versions as well
- don't set MAKE in the makeopts file, because that breaks the build on BSD
systems. It ends up using make instead of gmake.
Modified:
team/group/autoconf_and_menuselect/bootstrap.sh
team/group/autoconf_and_menuselect/makeopts.in
Modified: team/group/autoconf_and_menuselect/bootstrap.sh
URL: http://svn.digium.com/view/asterisk/team/group/autoconf_and_menuselect/bootstrap.sh?rev=21637&r1=21636&r2=21637&view=diff
==============================================================================
--- team/group/autoconf_and_menuselect/bootstrap.sh (original)
+++ team/group/autoconf_and_menuselect/bootstrap.sh Wed Apr 19 16:02:36 2006
@@ -9,12 +9,26 @@
fi
}
-check_for_app aclocal
-check_for_app autoconf
-check_for_app autoheader
-check_for_app automake
+uname -s | grep -q BSD
+if [ $? = 0 ]
+then
+ check_for_app aclocal19
+ check_for_app autoconf259
+ check_for_app autoheader259
+ check_for_app automake19
-aclocal 2>/dev/null
-autoconf
-autoheader
-automake --add-missing --copy 2>/dev/null
+ aclocal19 2>/dev/null
+ autoconf259
+ autoheader259
+ automake19 --add-missing --copy 2>/dev/null
+else
+ check_for_app aclocal
+ check_for_app autoconf
+ check_for_app autoheader
+ check_for_app automake
+
+ aclocal 2>/dev/null
+ autoconf
+ autoheader
+ automake --add-missing --copy 2>/dev/null
+fi
Modified: team/group/autoconf_and_menuselect/makeopts.in
URL: http://svn.digium.com/view/asterisk/team/group/autoconf_and_menuselect/makeopts.in?rev=21637&r1=21636&r2=21637&view=diff
==============================================================================
--- team/group/autoconf_and_menuselect/makeopts.in (original)
+++ team/group/autoconf_and_menuselect/makeopts.in Wed Apr 19 16:02:36 2006
@@ -4,7 +4,6 @@
INSTALL=@INSTALL@
GREP=@GREP@
-MAKE=@MAKE@
AR=@AR@
RANLIB=@RANLIB@
FIND=@FIND@
More information about the svn-commits
mailing list